% File src/library/base/man/commandArgs.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{commandArgs}
\alias{commandArgs}
\title{Extract Command Line Arguments}
\description{
  \R セッションが起動された時に与えられたコマンドライン引数のコピーへの
  アクセスを提供する．
}
\usage{
commandArgs(trailingOnly = FALSE)
}
\arguments{
  \item{trailingOnly}{論理値．\option{--args} の後の引数だけを返すべきか?}
}
\details{
  これらの引数は標準の \R のコマンドライン処理がされる前に
  取得される．これはそれらが未変更の値であることを意味する．
  これは特に \R への \option{--args} コマンドラインフラグがあると
  有用である．なぜならこのフラグの後はすべてスキップされるからである．
}
\value{
  実行プログラムの名前とユーザが与えたコマンドライン引数を含む文字列．
  最初の要素は \R がそれにより起動された実行プログラムの名前である．
  この要素の正確な形式はプラットフォーム依存である：それは完全に資格のある
  名前かもしれないし，
  単にアプリケーションの最後の成分(又は基本名)かもしれず，もしくは埋め込み \R 
  に対してはそれはプログラマーが与えたなんにでもなりうる．

  もし \code{trailingOnly = TRUE} ならば， \option{--args} の後に
  与えられた(もしあれば)これらの引数の文字列．
}
\seealso{\code{\link{Startup}}
(Unix の場合)
%#ifdef unix
\code{\link{BATCH}}
%#endif
}
\examples{
commandArgs()
## シェルの引用化事情を配慮して，このアプリケーションの
## それが起動された時の状態のコピーを生み出す
## system(paste(commandArgs(), collapse = " "))
}
\keyword{environment}
\keyword{sysdata}
\keyword{programming}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/commandArgs.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{commandArgs}
%\alias{commandArgs}
%\title{Extract Command Line Arguments}
%\description{
%  Provides access to a copy of the command line arguments supplied when
%  this \R session was invoked.
%}
%\usage{
%commandArgs(trailingOnly = FALSE)
%}
%\arguments{
%  \item{trailingOnly}{logical.  Should only arguments after
%    \option{--args} be returned?}
%}
%\details{
%  These arguments are captured before the standard \R command line
%  processing takes place.  This means that they are the unmodified
%  values.  This is especially useful with the \option{--args}
%  command-line flag to \R, as all of the command line after that flag
%  is skipped.
%}
%\value{
%  A character vector containing the name of the executable and the
%  user-supplied command line arguments.  The first element is the name
%  of the executable by which \R was invoked.  The exact form of this
%  element is platform dependent: it may be the fully qualified name, or
%  simply the last component (or basename) of the application, or for an
%  embedded \R it can be anything the programmer supplied.
%
%  If \code{trailingOnly = TRUE}, a character vector of those arguments
%  (if any) supplied after \option{--args}.
%}
%\seealso{\code{\link{Startup}}
%#ifdef unix
%\code{\link{BATCH}}
%#endif
%}
%\examples{
%commandArgs()
%## Spawn a copy of this application as it was invoked,
%## subject to shell quoting issues
%## system(paste(commandArgs(), collapse = " "))
%}
%\keyword{environment}
%\keyword{sysdata}
%\keyword{programming}
%
\encoding{UTF8}
