% File src/library/stats/man/anova.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{anova}
\alias{anova}%@%\alias{分散分析表}
%\alias{print.anova}
\concept{regression}
\title{Anova Tables}
\usage{
anova(object, \dots)
}
\description{
  一つ又はそれ以上の当てはめモデルオブジェクトから
  分散(又はデビアンス)分析表を計算する．
}
\arguments{
  \item{object}{モデル当てはめ関数(例えば \code{lm} や \code{glm})
  が返す結果を含むオブジェクト．}
  \item{\dots}{同じタイプの追加のオブジェクト．}
}
\value{
  この(総称的)関数はクラス
  \code{anova} のオブジェクトを返す．
  これらのオブジェクトは分散分析表又はデビアンス分析表を表す．
  単一の引数が与えられるとそれはモデル項が有意かどうかをテストするテーブルを作る．

  複数のオブジェクトを与えると
  \code{anova} はモデルを指定された順序で互いにテストする．

  \code{anova} オブジェクトに対するプリントメソッドはテーブルを
  \sQuote{見やすい}形式でプリントする．
}
\section{警告}{
  二つもしくはそれ以上のモデルの比較はそれらが同じデータセットに当てはめられた
  時だけ適正である．これはもし欠損値があり \R  の既定の
  \code{na.action = na.omit} が使われた時は問題になるかもしれない．
}
\references{
  Chambers, J. M. and Hastie, T. J. (1992)
  \emph{Statistical Models in S}, Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{coefficients}}, \code{\link{effects}},
  \code{\link{fitted.values}}, \code{\link{residuals}},
  \code{\link{summary}}, \code{\link{drop1}}, \code{\link{add1}}.
}
\keyword{regression}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/anova.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{anova}
%\alias{anova}
%%\alias{print.anova}
%\concept{regression}
%\title{Anova Tables}
%\usage{
%anova(object, \dots)
%}
%\description{
%  Compute analysis of variance (or deviance) tables for one or more
%  fitted model objects.
%}
%\arguments{
%  \item{object}{an object containing the results returned by a model
%    fitting function (e.g., \code{lm} or \code{glm}).}
%  \item{\dots}{additional objects of the same type.}
%}
%\value{
%  This (generic) function returns an object of class \code{anova}.
%  These objects represent analysis-of-variance and analysis-of-deviance tables.
%  When given a single argument it produces a table which
%  tests whether the model terms are significant.
%
%  When given a sequence of objects, \code{anova} tests
%  the models against one another in the order specified.
%
%  The print method for \code{anova} objects prints tables in a
%  \sQuote{pretty} form.
%}
%\section{Warning}{
%  The comparison between two or more models will only be valid if they
%  are fitted to the same dataset. This may be a problem if there are
%  missing values and \R's default of \code{na.action = na.omit} is used.
%}
%\references{
%  Chambers, J. M. and Hastie, T. J. (1992)
%  \emph{Statistical Models in S}, Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{coefficients}}, \code{\link{effects}},
%  \code{\link{fitted.values}}, \code{\link{residuals}},
%  \code{\link{summary}}, \code{\link{drop1}}, \code{\link{add1}}.
%}
%\keyword{regression}
%\keyword{models}
%
%\encoding{UTF-8}
%
