% File src/library/stats/man/fivenum.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{fivenum}
\alias{fivenum}%@%\alias{五数要約}
\title{Tukey Five-Number Summaries}
\description{
  入力データに対する Tukey の五数要約
  (最小値，下側ヒンジ，中央値，上側ヒンジ，最大値)
  を返す．
}
\usage{
fivenum(x, na.rm = TRUE)
}
\arguments{
  \item{x}{数値，
    \code{\link{NA}} や \eqn{\pm}{+/-}\code{\link{Inf}}
    を含むかもしれない．}
  \item{na.rm}{論理値；もし \code{TRUE} なら全ての
    \code{\link{NA}} と \code{\link{NaN}} は
    統計量の計算前に捨て去られる．}
}
\value{
  要約情報を含む長さ 5 の数値ベクトル．
  詳細は \code{\link{boxplot.stats}} を見よ．
}
\seealso{
  \code{\link{IQR}},
  \code{\link{boxplot.stats}},
  \code{\link{median}},
  \code{\link{quantile}},
  \code{\link{range}}.
}
\examples{
fivenum(c(rnorm(100), -1:1/0))
}
\keyword{univar}
\keyword{robust}
\keyword{distribution}


\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/fivenum.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{fivenum}
%\alias{fivenum}
%\title{Tukey Five-Number Summaries}
%\description{
%  Returns Tukey's five number summary (minimum, lower-hinge, median,
%  upper-hinge, maximum) for the input data.
%}
%\usage{
%fivenum(x, na.rm = TRUE)
%}
%\arguments{
%  \item{x}{numeric, maybe including \code{\link{NA}}s and
%    \eqn{\pm}{+/-}\code{\link{Inf}}s.}
%  \item{na.rm}{logical; if \code{TRUE}, all \code{\link{NA}} and
%    \code{\link{NaN}}s are dropped, before the statistics are computed.}
%}
%\value{
%  A numeric vector of length 5 containing the summary information.  See
%  \code{\link{boxplot.stats}} for more details.
%}
%\seealso{
%  \code{\link{IQR}},
%  \code{\link{boxplot.stats}},
%  \code{\link{median}},
%  \code{\link{quantile}},
%  \code{\link{range}}.
%}
%\examples{
%fivenum(c(rnorm(100), -1:1/0))
%}
%\keyword{univar}
%\keyword{robust}
%\keyword{distribution}
%
%
%\encoding{UTF-8}
%
