% File src/library/stats/man/tsdiag.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{tsdiag}
\alias{tsdiag}%@%\alias{時系列当てはめへの診断プロット}
\alias{tsdiag.arima0}
\alias{tsdiag.Arima}
\alias{tsdiag.StructTS}
\title{Diagnostic Plots for Time-Series Fits}
\description{
  時系列の診断プロットの総称的関数．
}
\usage{
tsdiag(object, gof.lag, \dots)
}
\arguments{
  \item{object}{当てはめ時系列モデル．}
  \item{gof.lag}{portmanteau 適合度検定に対する最大ラグ．}
  \item{\dots}{特定のメソッドに渡される追加引数．}
}
\details{
  これは総称的関数である．これは一般に
  しばしば正規化された残差，残差の自己相関関数，そして
  ラグ \code{gof.lag} までの portmanteau 検定の p 値，をプロットする．

  \code{\link{arima}} と \code{\link{StructTS}} オブジェクトに対する
  メソッドはそれらの(個別の)分散でスケール化された残差をプロットし，
  portmanteau 検定の Ljung--Box 版を使う．
}
\value{
  無し．診断がプロットされる．
}

\seealso{
  \code{\link{arima}}, \code{\link{StructTS}}, \code{\link{Box.test}}
}

\examples{
\donttest{require(graphics)

fit <- arima(lh, c(1,0,0))
tsdiag(fit)

## examples(arima) も見よ

(fit <- StructTS(log10(JohnsonJohnson), type = "BSM"))
tsdiag(fit)
}}
\keyword{ts}


\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/tsdiag.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{tsdiag}
%\alias{tsdiag}
%\alias{tsdiag.arima0}
%\alias{tsdiag.Arima}
%\alias{tsdiag.StructTS}
%\title{Diagnostic Plots for Time-Series Fits}
%\description{
%  A generic function to plot time-series diagnostics.
%}
%\usage{
%tsdiag(object, gof.lag, \dots)
%}
%\arguments{
%  \item{object}{a fitted time-series model}
%  \item{gof.lag}{the maximum number of lags for a Portmanteau
%    goodness-of-fit test}
%  \item{\dots}{further arguments to be passed to particular methods}
%}
%\details{
%  This is a generic function. It will generally plot the residuals,
%  often standardized, the autocorrelation function of the residuals, and
%  the p-values of a Portmanteau test for all lags up to \code{gof.lag}.
%
%  The methods for \code{\link{arima}} and \code{\link{StructTS}} objects
%  plots residuals scaled by the estimate of their (individual) variance,
%  and use the Ljung--Box version of the portmanteau test.
%}
%\value{
%  None. Diagnostics are plotted.
%}
%
%\seealso{
%  \code{\link{arima}}, \code{\link{StructTS}}, \code{\link{Box.test}}
%}
%
%\examples{
%\donttest{require(graphics)
%
%fit <- arima(lh, c(1,0,0))
%tsdiag(fit)
%
%## see also examples(arima)
%
%(fit <- StructTS(log10(JohnsonJohnson), type = "BSM"))
%tsdiag(fit)
%}}
%\keyword{ts}
%
%
%\encoding{UTF-8}
%
